## octave-interval 3.2.1

=== doc/Makefile ===
## This is part of the GNU Octave Interval Package.
## Copyright 2015 Oliver Heimlich.
## See the file COPYING for copying conditions.

SHELL      = /bin/sh
M_IMAGE    = $(wildcard image/*.m) $(patsubst %.m.texinfo,%.m,$(wildcard image/*.m.texinfo))
IMAGE_OBJ  = $(patsubst %,%.png,$(M_IMAGE))
OBJ        = manual.html manual.pdf $(IMAGE_OBJ)
MAKEINFO  ?= makeinfo
VERSION   ?= $(shell grep "^Version: " ../packinfo/DESCRIPTION ../DESCRIPTION | head -1 | cut -f2 -d" ")
OCTAVE    ?= octave

.PHONY: all clean images

all: $(OBJ)

images: $(IMAGE_OBJ)

manual.html: manual.texinfo $(wildcard chapter/*) license/gpl-3.0.texi $(wildcard image/*.texinfo) $(IMAGE_OBJ)
	@echo " [MAKEINFO --html] $<"
	@$(MAKEINFO) -D 'version $(VERSION)' --html --no-split --css-include manual.css "$<"

manual.pdf: manual.texinfo $(wildcard chapter/*) license/gpl-3.0.texi $(wildcard image/*.texinfo) $(wildcard image/*.pdf) $(IMAGE_OBJ)
	@echo " [MAKEINFO --pdf] $<"
	@$(MAKEINFO) --Xopt=--texinfo='@set version $(VERSION)' --pdf "$<"

image/%.m.png: image/%.m
	@echo " [OCTAVE] $<"
	@$(OCTAVE) --no-history \
		--eval "pkg load interval;" \
		--eval "set (0, 'defaultfigurevisible', 'off');" \
		--eval "source ('$<');" \
		--eval "print (gcf, '$@');"
	@# The image size is too large for inclusion in the pdf,
	@# thus we increase the resolution from 150 to 250 dpi.
	@echo " [IMAGEMAGICK] $@"
	@convert -density 98.425 -units PixelsPerCentimeter "$@" "$@"

image/%.m: image/%.m.texinfo
	@echo " [MAKEINFO --plaintext] $<"
	@$(MAKEINFO) -D m-file --plaintext "$<" > "$@"

clean:
	$(RM) $(OBJ)
	$(RM) *.aux *.cp *.fn *.ky *.log *.pg *.toc *.tp *.vr

=== src/Makefile ===
## This is part of the GNU Octave Interval Package.
## Copyright 2015 Oliver Heimlich
## Copyright 2016 Mike Miller
## See the file COPYING for copying conditions.

SHELL          = /bin/sh
OBJ            = crlibm_function.oct \
                 intervaltotext.oct \
                 mpfr_function_d.oct \
                 mpfr_linspace_d.oct \
                 mpfr_matrix_mul_d.oct \
                 mpfr_matrix_sqr_d.oct \
                 mpfr_to_string_d.oct \
                 mpfr_vector_sum_d.oct \
                 mpfr_vector_dot_d.oct \
                 __setround__.oct

BUNDLED_CRLIBM_DIR = crlibm

LDFLAGS_MPFR   =-lmpfr
## Use important flags in XTRA_CFLAGS for OpenMP (workaround for bug #45280)
CFLAG_OPENMP   =$(findstring -fopenmp,$(shell $(MKOCTFILE) -p XTRA_CFLAGS))

## Auto-detect SSE2 for configuration of crlibm
## Ask the compiler to allow cross-compilation
SSE2_MACRO_DEF =$(shell echo \
                        | $(shell $(MKOCTFILE) -p CC) \
                          $(shell $(MKOCTFILE) -p CFLAGS) \
                          -dM -E - \
                        | grep "__SSE2__" | grep "1" )
ifneq ($(SSE2_MACRO_DEF),)
CONF_FLAG_SSE2 ?=--enable-sse2
endif

all: $(OBJ)

## crlibm api oct-file
crlibm_function.oct: crlibm_function.o $(BUNDLED_CRLIBM_DIR)/crlibm_private.o
	@echo " [MKOCTFILE] $<"
	@$(MKOCTFILE)  -o $@  $< $(BUNDLED_CRLIBM_DIR)/*.o $(BUNDLED_CRLIBM_DIR)/scs_lib/*.o
crlibm_function.o: crlibm_function.cc
	@echo " [MKOCTFILE] $<"
	@$(MKOCTFILE)  --compile -o $@  $<

## bundled crlibm library
##
## Note to redistributors:
## If you can't compile this library for a particular platform
## or `__check_crlibm__` throws a warning in Octave, you can safely
## omit the crlibm library from a redistributed binary package,
## (you must keep __check_crlibm__.m).
## However, please inform the package maintainer of the error.
$(BUNDLED_CRLIBM_DIR)/crlibm_private.o: $(BUNDLED_CRLIBM_DIR)/crlibm_config.h
	$(MAKE) -C $(BUNDLED_CRLIBM_DIR) CFLAGS+="$(shell $(MKOCTFILE) -p CPICFLAG) -Wno-div-by-zero -Wno-unused-variable -Wno-unused-but-set-variable"
$(BUNDLED_CRLIBM_DIR)/crlibm_config.h:
	(cd $(BUNDLED_CRLIBM_DIR) && ./configure --disable-dependency-tracking $(CONF_FLAG_SSE2))

## GNU MPFR api oct-files
mpfr_matrix_mul_d.oct mpfr_matrix_sqr_d.oct : mpfr_%.oct: mpfr_%.cc mpfr_commons.h compatibility/octave.h compatibility/mpfr.h
	@echo " [MKOCTFILE] $<"
	@$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR) $(CFLAG_OPENMP) $<
mpfr_%.oct: mpfr_%.cc mpfr_commons.h compatibility/octave.h compatibility/mpfr.h
	@echo " [MKOCTFILE] $<"
	@$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR)  $<
intervaltotext.oct: intervaltotext.cc mpfr_commons.h compatibility/octave.h compatibility/mpfr.h
	@echo " [MKOCTFILE] $<"
	@$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR)  $<

## <cfenv> api oct-file
##
## Note to redistributors:
## If you can't compile this function for a particular platform
## or `test @infsup/mtimes` throws a warning in Octave, you can safely
## omit the __setround__ function from a redistributed binary package.
## However, please inform the package maintainer of the error.
__setround__.oct: __setround__.cc
	@echo " [MKOCTFILE] $<"
	@$(MKOCTFILE)  -o $@  -Wno-unknown-pragmas  $<

clean:
	test ! -e $(BUNDLED_CRLIBM_DIR)/Makefile || $(MAKE) -C $(BUNDLED_CRLIBM_DIR) $@
	$(RM) *.oct *.o

.PHONY: all clean

=== debian/changelog ===
octave-interval (3.2.1-7) unstable; urgency=medium

  * Team upload

  * d/u/metadata:
    + Add upstream repository URL
    + Add documentation URL
    + Update Bug-Database URL
  * d/control:
    + Restrict the build-dependencies needed for building the documentation
      to the "!nodoc" profile
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop the versioned dependency on dh-octave. Relationship >= 1.2.3 is
      satisfiable in oldoldstable, which has version 1.2.7.
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5
  * d/copyright: Replace old FSF address by URL
  * d/s/lintian-overrides: Adjust Lintian override for
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Thu, 09 Oct 2025 14:39:40 -0300

octave-interval (3.2.1-6) unstable; urgency=medium

  * Team upload

  * d/p/display-plus-intervaltotext.patch: New patch.
    Thanks to Vincent Lefèvre for proposing the fix (Closes: #1050796)
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage URL
  * d/copyright: Update Source URL

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Aug 2023 02:47:30 -0300

octave-interval (3.2.1-5) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissière ]
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 13:25:15 -0300

octave-interval (3.2.1-4) unstable; urgency=medium

  * Team upload

  * d/clean: No need for cleaning the src/*.cc-tst files
  * Proper cleaning of files generated by the configure script
    + d/patches/add-distclean-target.patch: New patch
    + d/clean, d/source/options: Adjust for the new situation
  * d/control: Build-depend in dh-octave >= 1.2.3. In this version
    dh_octave_clean removes the src/*-tst files and calls make
    distclean for cleaning the files generated by the configure
    script.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 13 Jul 2022 04:34:49 -0300

octave-interval (3.2.1-3) unstable; urgency=medium

  * Team upload

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/octave-interval.install; Install /usr/{lib,share}/* files
    (Closes: #1013589)
  * d/s/options: Add src/crlibm/crlibm_config.h.in to the list of excluded files

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Jun 2022 10:10:12 -0300

octave-interval (3.2.1-2) unstable; urgency=medium

  * Team upload
  * octave7.patch: new patch, fixes FTBFS against Octave 7 (Closes: #1009132)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 11 Apr 2022 14:21:08 +0200

octave-interval (3.2.1-1) unstable; urgency=medium

  * Team upload

  * New upstream version 3.2.1
  * d/p/clean-src-compatibility-dir.patch: Drop patch (applied upstream)
  * d/p/ignore-fesetround-tests.patch: Refresh for new upstream version
  * d/p/xtest-in-mpfr-matrix-mul-d.patch: Refresh for new upstream version
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 31 Jan 2022 03:24:35 -0300

=== debian/control ===
Source: octave-interval
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Oliver Heimlich <oheim@posteo.de>,
Build-Depends-Indep: ghostscript  <!nodoc>,
                     gnuplot-nox <!nodoc>,
                     imagemagick <!nodoc>,
                     texinfo <!nodoc>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-octave,
               libmpfr-dev
Standards-Version: 4.7.2
Homepage: https://gnu-octave.github.io/packages/interval/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-interval.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-interval
Testsuite: autopkgtest-pkg-octave

Package: octave-interval
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends},
Suggests: octave-interval-doc
Description: real-valued interval arithmetic for Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

Section: doc
Package: octave-interval-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: w3m | www-browser
Enhances: octave-interval
Description: real-valued interval arithmetic for Octave (arch-indep files)
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.
 .
 This package provides documentation in HTML format for the octave-interval
 package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyright (c) 2015, 2016  Oliver Heimlich <oheim@posteo.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

%:
	dh $@ --buildsystem=octave

pkg = $(shell awk '/^Name:/ {print $$2; exit 0}' DESCRIPTION)
pkg_version = $(shell awk '/^Version:/ {print $$2; exit 0}' DESCRIPTION)
package = $(shell awk '/^Package:/ {print $$2; exit 0}' debian/control)
debpkg = debian/$(package)

# For reproducibility and portability,
# enable SSE2 only on architectures where it is supported by all processors.
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
export CONF_FLAG_SSE2 = --enable-sse2
else
export CONF_FLAG_SSE2 = --disable-sse2
endif

# Don't install NEWS.gz, dh-octave will handle this
DEB_INSTALL_DOCS_ALL =
doc_dir = $(CURDIR)/$(debpkg)-doc/usr/share/doc/$(package)

override_dh_auto_configure:
	(cd src/crlibm ; autoreconf -i)
	dh_auto_configure

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_install-indep:
	dh_auto_install
	# The documentation build needs to load the package,
	# so we have to set paths for the build process.
	OCTAVE='octave --no-window-system --no-init-file'	\
		make -C doc manual.html
	# dh_installdocs does not support subdirectories,
	# so we move everything in place
	mkdir -p $(doc_dir)/image
	cp doc/manual.html $(doc_dir)/
	cp doc/image/*.png doc/image/*.svg $(doc_dir)/image/
	rm -rf $(CURDIR)/$(debpkg)/$(mpath)/*/doc
endif

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f doc/Makefile ] || $(MAKE) -C doc clean
	[ ! -f src/crlibm/Makefile ] || $(MAKE) -C src/crlibm maintainer-clean

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/interval/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/interval@ANY_VERSION@@ARCHIVE_EXT@

## octave-interval 3.2.2

=== src/Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
                  __setround__.oct
 
 BUNDLED_CRLIBM_DIR = crlibm
+MKOCTFILE ?= mkoctfile
 
 LDFLAGS_MPFR   =-lmpfr
 ## Use important flags in XTRA_CFLAGS for OpenMP (workaround for bug #45280)
@@ -32,6 +33,7 @@
 CONF_FLAG_SSE2 ?=--enable-sse2
 endif
 
+.PHONY: all
 all: $(OBJ)
 
 ## crlibm api oct-file
@@ -77,8 +79,11 @@
 	@echo " [MKOCTFILE] $<"
 	@$(MKOCTFILE)  -o $@  -Wno-unknown-pragmas  $<
 
+.PHONY: clean
 clean:
 	test ! -e $(BUNDLED_CRLIBM_DIR)/Makefile || $(MAKE) -C $(BUNDLED_CRLIBM_DIR) $@
-	$(RM) *.oct *.o
+	-$(RM) *.oct *.o
 
-.PHONY: all clean
+.PHONY: distclean
+distclean: clean
+	-$(RM) config.log

=== debian/changelog ===
octave-interval (3.2.2-3) unstable; urgency=medium

  * d/rules: Restrict the building of the documentation to the arch-indep case
  * d/control: Add myself to the list of Uploaders

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Feb 2026 15:55:43 +0000

octave-interval (3.2.2-2) unstable; urgency=medium

  * Team upload

  * d/rules: Use override_dh_auto_build to build the documentation.
    This fixes the FTBFS issue when building the Arch:all package
  * d/octave-interval-doc.docs: New file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Feb 2026 06:31:37 +0000

octave-interval (3.2.2-1) unstable; urgency=medium

  * Team upload

  * New upstream version 3.2.2
  * Drop patches (applied upstream):
    + d/p/xtest-in-mpfr-matrix-mul-d.patch
    + d/p/octave7.patch
    + d/p/add-distclean-target.patch
    + d/p/display-plus-intervaltotext.patch
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Tue, 24 Feb 2026 15:09:28 +0000

octave-interval (3.2.1-8) unstable; urgency=medium

  * Team upload

  * d/rules: Build the src/*.oct fies in place, before building the
    documentation. This regression is caused by the changes in
    dh-octave version 1.14. In this version, the Octave add-on package
    is built from the patched tarball, so that building the sources in
    place is necaessary in order to have the documentation figures
    generated. (Closes: #1127517)
  * d/control:
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile
    + Drop the versioned dependency on dh-octave. Relationship >=
      1.2.3 is satisfiable in oldoldstable, which has version 1.2.7.
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3 (no changes needed)
  * d/watch: Convert to format version 5
  * d/s/lintian-overrides: Adjust Lintian override for
    debian-watch-lacks-sourceforge-redirector
  * d/copyright: Replace old FSF address by URL

 -- Rafael Laboissière <rafael@debian.org>  Sat, 14 Feb 2026 07:55:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: octave-interval
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Oliver Heimlich <oheim@posteo.de>,
+           Rafael Laboissière <rafael@debian.org>
 Build-Depends-Indep: ghostscript  <!nodoc>,
                      gnuplot-nox <!nodoc>,
                      imagemagick <!nodoc>,
@@ -10,7 +10,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave,
                libmpfr-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/interval/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-interval.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-interval

=== debian/rules ===
--- 
+++ 
@@ -42,8 +42,10 @@
 	dh_auto_configure
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-override_dh_auto_install-indep:
-	dh_auto_install
+override_dh_auto_build-indep:
+	# In order to build the documentation in place, it is
+	# necessary to build first the *.oct files, also in place.
+	make -C src MKOCTFILE=mkoctfile
 	# The documentation build needs to load the package,
 	# so we have to set paths for the build process.
 	OCTAVE='octave --no-window-system --no-init-file'	\
